<?php
namespace Claromentis\Search\Application;

$GLOBALS["__65da1b1ec2d6653e8a0ab784" . "8e536215"] = (@$GLOBALS["__65da1b1ec2d6653e" . "8a0ab7848e536215"] ?: array()) + array("_bf2b3f7714b3538f48" . "e780c3e7770090" => base64_decode("YXBwX25ld3M" . "="), "_0c5123aa744f69bbc0e8b3" . "ea2f6e847d" => base64_decode("bG1z" . "Zw=="), "_d3c72043723006b659492f087" . "ddf1fdf" => base64_decode("bmV3cw=" . "="), "_d0c05b93b1" . "b3930a23261" . "6bd5f573345" => base64_decode("bWVudS5hc" . "HAubmV3cw" . "=="));
use Claromentis\News\NewsApplication as NewsNewsApplication;
use Claromentis\Search\ItemType;






class NewsApplication implements ApplicationInterface, CacheableInterface, IconInterface
{
    public function GetTypes()
    {
        return array($GLOBALS["__65da1b1ec2d6653e8a0ab7848e5362" . "15"]["_d3c72043723006b659492" . "f087ddf1fdf"] => function () {
            return new ItemType\News();
        });
    }
    public function GetName()
    {
        return $GLOBALS["__65da1b1ec2d6653e8a0ab7" . "848e536215"]["_0c5123aa744f69bbc0" . "e8b3ea2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0ab78" . "48e536215"]["_d0c05b93b1b3930a232616bd5f573" . "345"]);
    }
    public function GetCode()
    {
        return $GLOBALS["__65da1b1ec" . "2d6653e8a0a" . "b7848e53621" . "5"]["_bf2b3f7714b3538f48e780c3" . "e7770090"];
    }
    public function GetIcon() : string
    {
        return NewsNewsApplication::APPLICATION_SVG_URL;
    }
    public function getCacheableTypes() : array
    {
        return [$GLOBALS["__65da1b1ec2d6653e8a0ab7848e5" . "36215"]["_d3c72043723006b6594" . "92f087ddf1fdf"]];
    }
}